port module Main exposing (main)

import AMR
import Example.Counter
import Example.LogIn as Example
import Example.Mario


port toCache : String -> Cmd msg


configAMR : (String -> any) -> AMR.Config Example.Flags Example.Msg
configAMR optimizedMakeDisabled =
    { encodeMsg = Example.encodeMsg
    , msgDecoder = Example.msgDecoder
    , fromCache = Example.fromCache
    , toCache = toCache
    }


main =
    AMR.document (configAMR Debug.toString)
        -- Browser.document
        { subscriptions = Example.subscriptions
        , init = Example.init
        , update = Example.update
        , view = Example.view
        }
